#ifndef LSCVMULTISSE_H
#define LSCVMULTISSE_H

#include "smmintrin.h"
#include "halgorithm.h"
#include "simplemath.h"
#include "ssemath.h"
#include "sse_mathfun.h"
#include "matrices.h"
#include <stdio.h>

class LSCVMultiSSE: public HAlgorithm<float> {
private:
	int threads;
	float invrk(int d,float sqrtdetH);
public:
	int setThreads(int threads);
	static __m128 k(__m128 v,void *d);
	float findGH(float *m);
	float findGHForEst();
	virtual void startExp();
};



#endif