#ifndef LSCVSIMPLE_H
#define LSCVSIMPLE_H

#include "halgorithm.h"
#include "simplemath.h"
#include "matrices.h"
#include <stdio.h>

class LSCVSimple: public HAlgorithm<float> {
private:
	float step;
	static float kstar2(float &v,int i,void *p);
	float gh(float h, unsigned int n, unsigned int d, float C1, float C2,  float* exponents, float *temp);
public:
	void setStep(float step);
	float getStep();
	float findH();
	virtual void startExp();
};


#endif