#ifndef PLUGINSSE_H
#define PLUGINSSE_H

#include "halgorithm.h"
#include "simplemath.h"
#include "ssemath.h"
#include "sse_mathfun.h"
#include <stdio.h>

class PluginSSE: public HAlgorithm<float> {
private:
	//static float spk6c(float &x,int i,void *v);
	//static float spk4c(float &x,int i,void *v);
	static float sqr(float &x,int i,void *v);
	//static __m128 spk6csse(__m128 &x,int i,void *v);
	//static __m128 spk4csse(__m128 &x,int i,void *v);
	static __m128 sqrsse(__m128 &x,int i,void *v);
	static __m128 k6mm(__m128 x);
	static __m128 k4mm(__m128 x);
	int threads;
	int cachesize;
public:
	float findH();
	void setThreads(int threads);
	void setCachesize(int cachesize);
	virtual void startExp();
};


#endif