#ifndef LSCVMULTISIMPLE_H
#define LSCVMULTISIMPLE_H

#include "halgorithm.h"
#include "simplemath.h"
#include "matrices.h"
#include <stdio.h>

class LSCVMultiSimple: public HAlgorithm<float> {
private:
	float KH(float *X, float* G,int d, int n,int i, int j,float* temp);
	float invrk(int d,float sqrtdetH);
	float *allocTempArrayForKH(int d);
	float *allocTempArrayForGH(int n);
public:
	float findGH(float *m);
	float findGHForEst();
	virtual void startExp();
};



#endif